Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class RequirementCollection

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.Requirement
              org.eclipse.lyo.client.oslc.resources.RequirementCollection

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class RequirementCollection

extends Requirement

Constructor Summary
`RequirementCollection()`
`RequirementCollection(URI about)`

Method Summary
`void` | `addUses(URI uses)`
`URI[]` | `getUses()`
`void` | `setUses(URI[] uses)`

Methods inherited from class org.eclipse.lyo.client.oslc.resources.Requirement
`addAffectedBy, addConstrainedBy, addConstrains, addContributor, addCreator, addDecomposedBy, addDecomposes, addElaboratedBy, addElaborates, addImplementedBy, addRdfType, addSatisfiedBy, addSatisfies, addSpecifiedBy, addSpecifies, addSubject, addTrackedBy, addValidatedBy, getAffectedBy, getConstrainedBy, getConstrains, getContributors, getCreated, getCreators, getDecomposedBy, getDecomposes, getDescription, getElaboratedBy, getElaborates, getIdentifier, getImplementedBy, getInstanceShape, getModified, getRdfTypes, getSatisfiedBy, getSatisfies, getServiceProvider, getShortTitle, getSpecifiedBy, getSpecifies, getSubjects, getTitle, getTrackedBy, getValidatedBy, setAffectedBy, setConstrainedBy, setConstrains, setContributors, setCreated, setCreators, setDecomposedBy, setDecomposes, setDescription, setElaboratedBy, setElaborates, setIdentifier, setImplementedBy, setInstanceShape, setModified, setRdfTypes, setSatisfiedBy, setSatisfies, setServiceProvider, setShortTitle, setSpecifiedBy, setSpecifies, setSubjects, setTitle, setTrackedBy, setValidatedBy`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequirementCollection

    public RequirementCollection()
                          throws URISyntaxException

Throws:
  `URISyntaxException`

### RequirementCollection

    public RequirementCollection(URI about)
                          throws URISyntaxException

Throws:
  `URISyntaxException`

Method Detail

### addUses

    public void addUses(URI uses)

### getUses

    public URI[] getUses()

### setUses

    public void setUses(URI[] uses)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.